跳转到主要内容
轮询此端点以检查 3D 模型生成任务的状态。
If the task no longer exists or can no longer be resolved through the public async-task contract, LemonData returns async_task_not_found with the message Task not found or no longer available.

路径参数

id
string
必填
3D 生成任务 ID。

响应

id
string
任务 ID。
status
string
任务状态:pendingprocessingcompletedfailed
progress
integer
进度百分比 (0-100)。
model_url
string
3D 模型文件的下载 URL(完成时)。
glb_url
string
GLB 格式模型的下载 URL(可用时)。
fbx_url
string
FBX 格式模型的下载 URL(可用时)。
error
string
错误信息(失败时)。
curl "https://api.lemondata.cc/v1/tasks/ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa" \
  -H "Authorization: Bearer sk-your-api-key"
{
  "id": "ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "task_id": "ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "poll_url": "/v1/tasks/ldtask_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "status": "completed",
  "model_url": "https://cdn.example.com/3d/abc123.glb",
  "glb_url": "https://cdn.example.com/3d/abc123.glb",
  "fbx_url": "https://cdn.example.com/3d/abc123.fbx"
}